Subject: Re: [PATCH] fetch, clone: add fetch.blobSizeLimit config

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 4 Mar 2026 06:07:21 +0100

On Tue, Mar 03, 2026 at 09:58:09AM -0800, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > I think using something like "clone.<url>.defaultObjectFilter" would be
> > a more sensible design. The idea is that we'd only honor this filter on
> > the initial clone to basically be equivalent to `git clone --filter=`. I
> > don't think any subsequent fetches should be impacted at all, as turning
> > a full clone into a partial clone would need more consideration.
> 
> Yup, I like this one.  Should <url> be giving a repository fully, or
> be some pattern that groups similar repositories together?  You
> would not be wanting to clone exactly the same repository so many
> times for a configuration variable to matter in general.

I'd propose that it should work the same as our "http.<url>.*" config:

  - You can enable partial clones for a complete domain, like for
    example "github.com" or "gitlab.com".

  - You can specify a namespace, like "gitlab.com/example", so that all
    projects in there would be using the filter.

  - You can specify a project, like "gitlab.com/example/project.git".

I'd say that this should be sufficient for most usecases.

Patrick